Package com.documentum.fc.client

# Interface IDfPlugin

All Superinterfaces:
  `IDfDocument`, `IDfPersistentObject`, `IDfSysObject`, `IDfTypedObject`

public interface IDfPlugin extends IDfDocument
This interface provides access to plugin-related data stored in dm_plugin objects.

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHardwarePlatform()`
  Gets the hardware platform of this plugin.
  `String`
  `getOperatingSystem()`
  Gets the operating system of this plugin.
  `String`
  `getPluginType()`
  Gets the type of this plugin.
  `String`
  `getUsage()`
  Gets the usage of this plugin.
  `void`
  `importContent(String filePath)`
  Import the content of this plugin.
  `void`
  `setHardwarePlatform(String platform)`
  Sets the hardware platform of this plugin.
  `void`
  `setOperatingSystem(String opSystem)`
  Sets the operating system of this plugin.
  `void`
  `setPluginType(String type)`
  Sets the type of this plugin.
  `void`
  `setUsage(String usage)`
  Sets the usage of this plugin.

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfSysObject

  `addDigitalSignature, addESignature, addNote, addReference, addRendition, addRenditionEx, addRenditionEx2, addRenditionEx3, appendContent, appendContentEx, appendFile, appendFileEx, appendPart, areAttributesModifiable, assemble, asVirtualDocument, attachPolicy, bindFile, branch, cancelCheckout, cancelCheckoutEx, cancelScheduledDemote, cancelScheduledPromote, cancelScheduledResume, cancelScheduledSuspend, canDemote, canPromote, canResume, canSuspend, checkin, checkinEx, checkout, checkoutEx, demote, destroyAllVersions, detachPolicy, disassemble, freeze, getAccessDate, getAccessorApplicationPermit, getAccessorCount, getAccessorName, getAccessorPermit, getAccessorPermitType, getAccessorXPermit, getAccessorXPermitNames, getACL, getACLDomain, getACLName, getAclRefValid, getAcsRequests, getAliasSet, getAliasSetId, getAntecedentId, getApplicationType, getAssembledFromId, getAuthors, getAuthorsCount, getBranchCount, getCabinetId, getChronicleId, getCollectionForContent, getCollectionForContentEx2, getCollectionForContentEx3, getCollectionForContentEx4, getComponentId, getComponentIdCount, getCompoundArchitecture, getContainId, getContainIdCount, getContent, getContentAvailability, getContentEx, getContentEx2, getContentEx3, getContentsId, getContentSize, getContentSize, getContentState, getContentStateCount, getContentType, getCreationDate, getCreatorName, getCurrentState, getCurrentStateName, getDirectDescendant, getDoubleContentAttr, getExceptionStateName, getFile, getFileEx, getFileEx2, getFolderId, getFolderIdCount, getFormat, getFrozenAssemblyCount, getFullText, getGroupName, getGroupPermit, getHasEvents, getHasFolder, getHasFrozenAssembly, getImplicitVersionLabel, getKeywords, getKeywordsCount, getLatestFlag, getLinkCount, getLinkHighCount, getLocations, getLockDate, getLockMachine, getLockOwner, getLogEntry, getMasterDocbase, getModifier, getModifyDate, getNextStateName, getObjectName, getOtherFileSize, getOwnerName, getOwnerPermit, getPageCount, getPath, getPathEx, getPathEx2, getPermissions, getPermit, getPermitEx, getPolicyId, getPolicyName, getPreviousStateName, getReferenceCount, getRemoteId, getRenditions, getResolutionLabel, getResumeState, getResumeStateName, getRetainerCount, getRetainerId, getRetainUntilDate, getRetentionDate, getRouters, getSpecialApp, getStatus, getStorageType, getStringContentAttr, getSubject, getTimeContentAttr, getTitle, getTypeName, getVdmPath, getVdmPathDQL, getVersionLabel, getVersionLabelCount, getVersionLabels, getVersionPolicy, getVersions, getWorkflows, getWorldPermit, getXPermit, getXPermitList, getXPermitNames, grant, grantPermit, hasPermission, insertContent, insertContentEx, insertFile, insertFileEx, insertPart, isArchived, isCheckedOut, isCheckedOutBy, isContentTransferCapabilityEnabled, isFrozen, isHidden, isImmutable, isLinkResolved, isPublic, isReference, isSuspended, isVirtualDocument, link, mark, mount, print, promote, prune, queue, refreshReference, removeContent, removeNote, removePart, removeRendition, removeRenditionEx, removeRenditionEx2, resolveAlias, resume, revertACL, revoke, revokePermit, saveAsNew, saveLock, scheduleDemote, schedulePromote, scheduleResume, scheduleSuspend, setACL, setACLDomain, setACLName, setApplicationType, setArchived, setAuthors, setCompoundArchitecture, setContent, setContentEx, setContentEx2, setContentType, setDoubleContentAttribute, setFile, setFileEx, setFullText, setGroupName, setGroupPermit, setHidden, setIsVirtualDocument, setKeywords, setLinkResolved, setLogEntry, setObjectName, setOwnerName, setOwnerPermit, setPath, setResolutionLabel, setSpecialApp, setStatus, setStorageType, setStringContentAttribute, setSubject, setTimeContentAttribute, setTitle, setWorldPermit, suspend, unfreeze, unlink, unmark, updatePart, updatePartEx, useACL, verifyESignature`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### setHardwarePlatform

    void setHardwarePlatform(String platform) throws DfException
    Sets the hardware platform of this plugin. For example, Intel x86.
    Parameters:
      `platform` - The hardware platform of this storage.
    Throws:
      `DfException`

  - ### getHardwarePlatform

    String getHardwarePlatform() throws DfException
    Gets the hardware platform of this plugin.
    Returns:
      The hardward platform of this storage.
    Throws:
      `DfException`

  - ### setOperatingSystem

    void setOperatingSystem(String opSystem) throws DfException
    Sets the operating system of this plugin. For example, Win95, Windows NT.
    Parameters:
      `opSystem` - The operating system of this storage.
    Throws:
      `DfException`

  - ### getOperatingSystem

    String getOperatingSystem() throws DfException
    Gets the operating system of this plugin.
    Returns:
      The operating system of this storage.
    Throws:
      `DfException`

  - ### setPluginType

    void setPluginType(String type) throws DfException
    Sets the type of this plugin. For example, DLL.
    Parameters:
      `type` - The plugin type of this plugin.
    Throws:
      `DfException`

  - ### getPluginType

    String getPluginType() throws DfException
    Gets the type of this plugin.
    Returns:
      The plugin type of this plugin.
    Throws:
      `DfException`

  - ### setUsage

    void setUsage(String usage) throws DfException
    Sets the usage of this plugin.
    Parameters:
      `usage` - The usage of this plugin.
    Throws:
      `DfException`

  - ### getUsage

    String getUsage() throws DfException
    Gets the usage of this plugin.
    Returns:
      The usage of this plugin.
    Throws:
      `DfException`

  - ### importContent

    void importContent(String filePath) throws DfException
    Import the content of this plugin.
    Parameters:
      `filePath` - The file path of the file of this plugin. If it is null or empty, then no operation is done. Othewise, the old content is removed and import the new file content. The content type is "win32shrlib".
    Throws:
      `DfException`